Subject: bug#3984: Fix for #3984

From: Ryan <[email-masked]>
Date: Fri, 13 Sep 2013 12:27:10 -0700

On Fri Sep 13 11:30:37 2013, Ryan wrote:
> Looking at the code in trunk, I see that there is a special hook for
> functions to decide which stack frames to skip over when looking for
> call-interactively. I still think they should relax the test for
> equality to "equal indirect-functions" instead of exactly the symbol
> call-interactively.

Actually, I just noticed that in trunk, nadvice.el adds a function to 
"called-interactively-p-functions" to skip advice-related stack frames, 
but this works only for advice on the interactive function, not advice 
defined on call-interactively itself. Furthermore, from my limited 
testing it appears that the structure of the call stack for advised 
functions has changes significantly in trunk, making my code obsolete. 
The whole thing looks like a work in progress right now.